Bug 804006 - Changing language to tr_TR nss fails to find ldap-server
Changing language to tr_TR nss fails to find ldap-server
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nss_ldap (Show other bugs)
5.8
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Nalin Dahyabhai
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 05:47 EDT by Atahan Kara
Modified: 2013-11-07 04:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 04:32:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Atahan Kara 2012-03-16 05:47:09 EDT
Description of problem:
If user have uri entry wih upper case "URI" in /etc/ldap.conf
changing language to tr_TR will cause nss unable to find ldap-server

Version-Release number of selected component (if applicable):
nss_ldap-253-49.el5

How reproducible:

Steps to Reproduce:
1. Enter ldap server to ldap.conf as : URI ldaps://ldapserver:636
2. LANG=tr_TR
3. id available_user # you will get no such user in turkish
  
Actual results:
If user changes LANG variable he/she fail to reach ldapserver

Expected results:


Additional info:
Problem is that lowercase of URI is "urı" not "uri" in turkish, and _nss_ldap_readconfig() function uses strcasecmp() function from util.c
either strcasecmp() must be corrected or _nss_ldap_readconfig() should check both URI and uri instead of changing cases.
Comment 3 Jakub Hrozek 2013-02-15 13:29:58 EST
Right, the problem is that in Turkish the lowercased capital I is not "i" so the config parser breaks..
Comment 4 RHEL Product and Program Management 2013-05-01 03:19:24 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 5 Jakub Hrozek 2013-11-07 04:32:29 EST
This Bugzilla has been reviewed by Red Hat and is not planned on being addressed in Red Hat Enterprise Linux 5, and therefore will be closed.

If this bug is critical to production systems, please contact your Red Hat support representative and provide sufficient business justification.

This issue is already solved in nss-pam-ldapd in RHEL-6.

Note You need to log in before you can comment on or make changes to this bug.